# Generated by Django 3.0.2 on 2020-09-06 21:50

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('gestruc', '0054_nat_nourrissement'),
    ]

    operations = [
        migrations.CreateModel(
            name='Nourrissement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(verbose_name='date intervention')),
                ('Qte', models.DecimalField(decimal_places=2, max_digits=6)),
                ('commentaire', models.CharField(blank=True, max_length=70)),
                ('affectation', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Ruruchcol')),
                ('natnour', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Nat_nourrissement')),
                ('operateur', models.ManyToManyField(to='gestruc.Operateur')),
                ('rucher', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Ruchers')),
                ('typnour', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Typ_nourrissement')),
                ('unit', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Unites')),
            ],
        ),
    ]
